Bug 251822 - Help file out of date: Missing a cool feature
Help file out of date: Missing a cool feature
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-date-docs (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
bzcl34nup
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-11 18:44 EDT by ray hammond
Modified: 2010-08-10 05:53 EDT (History)
1 user (show)

See Also:
Fixed In Version: system-config-date-docs-1.0.8-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 05:53:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ray hammond 2007-08-11 18:44:38 EDT
Description of problem:
The Help file is out of date.  

Version-Release number of selected component (if applicable):
n/a

How reproducible:
Always

Steps to Reproduce:
1. Open the system-config-date utility.
2. Press the help button.


Actual results:
The help file displays a screen shot that does not match the current version. 
Is an old help file being distributed?

Expected results:
The help file should match the utility.  For example, I was going to log an
enhancement request because I thought it was impossible, to quickly navigate
through, the month or year when only using keyboard (no mouse).  After a bit of
fiddling I found that Alt+Up/Down and Alt+Left/Right allow me to achieve this. 
Which is excellent; however, the help file does not include any reference to
this great feature.

Additional info:
I apologies if this is not the best place to whine about a help file.
Comment 1 Nils Philippsen 2007-10-09 11:59:49 EDT
I'll move that to the devel version, but the documentation changes should really
be done by a technical writer person which I am not. Of course, I'll assist if
changes are necessary to build process for updated documentation.
Comment 2 Bug Zapper 2008-04-04 09:34:59 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Nils Philippsen 2008-04-04 11:48:01 EDT
Meanwhile, I've copied the documentation from the RHEL Deployment Guide, this
lets us change documentation rather easily (being DocBook XML and not some
generated HTML). If you have an idea how to phrase this properly, we can put
this in post-F9.
Comment 4 ray hammond 2008-04-10 18:59:18 EDT
I've checked the latest rawhide version 1.9.30-1.fc9, the manual still omits the
keyboard functionality: it states the following:

--------------------------------------------------------------------------------
To change the date, use the arrows to the left and right of the month to change
the month, use the arrows to the left and right of the year to change the year,
and click on the day of the week to change the day of the week.
--------------------------------------------------------------------------------

I suggest the following:

--------------------------------------------------------------------------------
To change the date either:

Click on the day of the week, alternatively the keyboard cursor keys may be used
to navigate between the days: to select a date press the space key.

Click the arrows to the left and right of the month, alternatively the keyboard
short-cuts Ctrl+Left or Ctrl+Right may be used to change the month.

Click the arrows to the left and right of the year, alternatively the keyboard
short-cut Ctrl+Up or Ctrl+Down may be used to change the year.

--------------------------------------------------------------------------------

I hope that helps.

Comment 5 Nils Philippsen 2008-04-11 02:43:59 EDT
I know that this info isn't in the manual yet (my last comment was just about
how easy this can be fixed now). Having the proposed text here sure does help
getting it fixed post-F9. Thanks!
Comment 6 Bug Zapper 2008-05-13 23:07:12 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-06-09 18:45:14 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Nils Philippsen 2009-06-10 06:53:04 EDT
changing component/version
Comment 9 Nils Philippsen 2009-06-10 08:34:34 EDT
I've fixed this in git, but I'll wait for translations before wrapping a new version.
Comment 10 Bug Zapper 2009-11-16 02:56:49 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Nils Philippsen 2010-08-10 05:53:47 EDT
fixed in system-config-date-docs-1.0.8-1.fc12

Note You need to log in before you can comment on or make changes to this bug.